Knoppix 3.7 [Archive] - Glock Talk

PDA

View Full Version : Knoppix 3.7


lomfs24
11-03-2004, 17:14
I just downloaded Knoppix 3.7. Where is the install feature you talked about Washington DC?

I think I am going to throw it on a test machine.

Washington,D.C.
11-03-2004, 17:26
Okay for the hard drive install.After you get it booted to the 26 kernel in English.Log on as root and password root at boot of CD.Open a terminal type "knoppix-installer" press the Enter key.

lomfs24
11-03-2004, 17:28
OK I thought you said there was a new way. I guess it might be one of the options in the installer. I will just press ahead then. Thanks.

Washington,D.C.
11-03-2004, 17:35
Yes there are three opitions in the installer,New installer is recomended.Old installer is Debian way and third is install to run as live CD from hard drive.

Washington,D.C.
11-04-2004, 16:42
How did the install go on your machine?Were you able to get the sound to work?

lomfs24
11-04-2004, 16:47
I didn't actually get it to install. It wouldn't boot up. It would boot into a very limited shell. I don't think I have enough ram for the whole GUI. It's funny though that it will run Win98.

It will boot Knoppix-STD fine though with the fluxbox GUI.

I will keep working on it though

Washington,D.C.
11-04-2004, 17:40
Yes the live CD's require a bit of memory.I have Knoppix STD 0.1 and an earlier Knoppix STD 0.1b,which I think is the beta but it's a much larger iso.Kanotix 9A I think needs lots of memory but Mepis 2004.04 might be the most functional.

Washington,D.C.
02-01-2005, 21:06
I got Knoppix 3.6 to install without any trouble.When I tried Knoppix 3.7 I kept having problems installing when I booted the CD with kernel 2.6.I finally got Knoppix 3.7 to install by booting the CD with the 2.4 kernel.

Washington,D.C.
03-21-2005, 02:16
Knoppix 3.8 is available now.It's the Cebit Edition and defaults with a German keymap.To switch to English,at boot,type # knoppix lang=us #.To get = on German keymap type shift+0(zero).There is only one kernel.It's kernel 2.6.11.There's no 2.4 kernel option this time.I have it running on my hard drive now.Download it here http://debian.tu-bs.de/knoppix_cd/cebit-2005/Knoppix_3.8_Cebit.iso

greenlead
03-21-2005, 06:44
You will probably need at least 64 megs of RAM to do much of anything with live CD's.

Washington,D.C.
03-21-2005, 13:59
Knoppix searches your hard drive(s) for a Linux swap partition and will use it if it finds one.This makes the live cd run much faster.I have a live CD with anti virus installed as a cd iso image on an external hard drive.The hard drive also has a swap partition.I can use it on PC's that boot from USB or I can boot it with a floppy.The reason I keep it as an iso image is so it has automatic hardware detection.I can use it on many PC's.I can scan Windows without booting Windows and it makes it eaier to find and remove a virus.

Washington,D.C.
03-22-2005, 12:31
Originally posted by lomfs24
I didn't actually get it to install. It wouldn't boot up. It would boot into a very limited shell. I don't think I have enough ram for the whole GUI. It's funny though that it will run Win98.

It will boot Knoppix-STD fine though with the fluxbox GUI.

I will keep working on it though XFLD is a Knoppix based live CD with a lightweight desktop.It doesn't require as much RAM and is fairly fast.You can download it here http://debian.pffa.de/mirrors/xfld/0.2/xfld-0_2-en.iso

BurningDog
03-22-2005, 16:21
Originally posted by greenlead
You will probably need at least 64 megs of RAM to do much of anything with live CD's.

Not necessarily... check out http://www.damnsmalllinux.org/ (I hope that doesn't get filtered)

Washington,D.C.
03-22-2005, 16:31
Feather Linux is super light and a bit more functional than the really small distros http://featherlinux.berlios.de/about.htm

Washington,D.C.
03-23-2005, 00:23
On systems with min memory I found it's helpful to boot in text mode.This is done by typing "knoppix 2" at boot and press Enter/Return..Then install using "knoppix-installer".Knoppix 3.6 works fine but version 3.7 seems to have an install bug.Some systems will work but not as many as 3.6 which works fine.Version 3.8 only has one kernel and it's 2.6.11.